package com.pcloud.book.group.entity;

import com.pcloud.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description
 * @Author ruansiyuan
 * @Date 2019/5/29 17:32
 **/
public class LearningReportBrowseRecord extends BaseEntity {

    private static final long serialVersionUID = 8764621621846783953L;

    @ApiModelProperty("群id")
    private Long qrcodeId;

    @ApiModelProperty("分类id")
    private Long classifyId;

    @ApiModelProperty("社群码id")
    private Long bookGroupId;

    @ApiModelProperty("创建人")
    private Long createUser;

    public Long getQrcodeId() {
        return qrcodeId;
    }

    public void setQrcodeId(Long qrcodeId) {
        this.qrcodeId = qrcodeId;
    }

    public Long getClassifyId() {
        return classifyId;
    }

    public void setClassifyId(Long classifyId) {
        this.classifyId = classifyId;
    }

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public Long getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Long createUser) {
        this.createUser = createUser;
    }

    @Override
    public String toString() {
        return "LearningReportBrowseRecord{" +
                "qrcodeId=" + qrcodeId +
                ", classifyId=" + classifyId +
                ", bookGroupId=" + bookGroupId +
                ", createUser=" + createUser +
                "} " + super.toString();
    }
}
